• Русский
  • Description
    ConnectionPool is the Schema for the connectionpools API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    ConnectionPoolSpec defines the desired state of ConnectionPool

    statusobject

    ConnectionPoolStatus defines the observed state of ConnectionPool

    .spec

    Description
    ConnectionPoolSpec defines the desired state of ConnectionPool
    Type
    object
    PropertyTypeDescription
    hoststring

    INSERT ADDITIONAL SPEC FIELDS - desired state of cluster Important: Run "make" to regenerate code after modifying this file

    httpobject

    Settings applicable to HTTP1.1/HTTP2/GRPC connections.

    tcpobject

    Settings for common to both HTTP and TCP upstream connections.

    .spec.http

    Description
    Settings applicable to HTTP1.1/HTTP2/GRPC connections.
    Type
    object
    PropertyTypeDescription
    httpMaxPendingRequestsinteger

    Maximum number of pending HTTP1 requests to a destination. Default 1024.

    httpMaxRequestsinteger

    Maximum number of HTTP2 requests to a backend. Default 1024.

    maxConnectionsinteger

    Maximum number of HTTP1 /TCP connections to a destination host. Default 2^32-1.

    maxRequestsPerConnectioninteger

    parameter 1 disables keep alive. Default 0, meaning "unlimited",

    maxRetriesinteger

    cluster at a given time. Defaults to 3.

    .spec.tcp

    Description
    Settings for common to both HTTP and TCP upstream connections.
    Type
    object
    PropertyTypeDescription
    connectTimeoutstring

    TCP connection timeout. format: 1h/1m/1s/1ms. MUST BE >=1ms. Default is 10s.

    maxConnectionsinteger

    Maximum number of HTTP1 /TCP connections to a destination host. Default 2^32-1.

    tcpKeepaliveobject

    If set then set SO_KEEPALIVE on the socket to enable TCP Keepalives.

    .spec.tcp.tcpKeepalive

    Description
    If set then set SO_KEEPALIVE on the socket to enable TCP Keepalives.
    Type
    object
    PropertyTypeDescription
    intervalstring

    The time duration between keep-alive probes. Default is to use the OS level configuration (unless overridden, Linux defaults to 75s.)

    probesinteger

    Maximum number of keepalive probes to send without response before deciding the connection is dead. Default is to use the OS level configuration (unless overridden, Linux defaults to 9.)

    timestring

    The time duration a connection needs to be idle before keep-alive probes start being sent. Default is to use the OS level configuration (unless overridden, Linux defaults to 7200s (ie 2 hours.)

    .status

    Description
    ConnectionPoolStatus defines the observed state of ConnectionPool
    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/connectionpools
      • DELETE: delete collection of ConnectionPool
      • GET: list objects of kind ConnectionPool
      • POST: create a new ConnectionPool
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/connectionpools/{name}
      • DELETE: delete the specified ConnectionPool
      • GET: read the specified ConnectionPool
      • PATCH: partially update the specified ConnectionPool
      • PUT: replace the specified ConnectionPool
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/connectionpools/{name}/status
      • GET: read status of the specified ConnectionPool
      • PATCH: partially update status of the specified ConnectionPool
      • PUT: replace status of the specified ConnectionPool

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/connectionpools

    HTTP method
    DELETE
    Description
    delete collection of ConnectionPool
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind ConnectionPool
    HTTP responses
    HTTP codeResponse body
    200 - OKConnectionPoolList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new ConnectionPool
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyConnectionPool schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKConnectionPool schema
    201 - CreatedConnectionPool schema
    202 - AcceptedConnectionPool schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/connectionpools/{name}

    HTTP method
    DELETE
    Description
    delete the specified ConnectionPool
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified ConnectionPool
    HTTP responses
    HTTP codeResponse body
    200 - OKConnectionPool schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified ConnectionPool
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKConnectionPool schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified ConnectionPool
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyConnectionPool schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKConnectionPool schema
    201 - CreatedConnectionPool schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/connectionpools/{name}/status

    HTTP method
    GET
    Description
    read status of the specified ConnectionPool
    HTTP responses
    HTTP codeResponse body
    200 - OKConnectionPool schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified ConnectionPool
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKConnectionPool schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified ConnectionPool
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyConnectionPool schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKConnectionPool schema
    201 - CreatedConnectionPool schema
    401 - UnauthorizedEmpty